Off FlameRobin 0.4.0 on Kurumin Linux 5.0

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Off FlameRobin 0.4.0 on Kurumin Linux 5.0

valdir.marcos
I will summarize the result and past the whole history of my commands on Konsole at the end of this message.
 
Kurumin Linux 5.0 is a Live CD from Debian Sarge Knoppix.
----------------------------------
sudo su [ok]
apt-get update [some errors]
apt-get install vim [some errors]
tar xzvf FirebirdSS-1.5.2.4731-0.i686.tar.gz [ok]
cd FirebirdSS-1.5.2.4731-0.i686 [ok]
sudo ./install.sh [ok]
cd .. [ok]
sudo dpkg -i --force-all flamerobin_0.4.0-1_i386.deb
[some errors:
 flamerobin depends on libc6 (>= 2.3.5-1); but:
  Versin of libc6 on system is 2.3.2.ds1-22.
 flamerobin depends on libfbclient1; but:
  Package libfbclient1 is not installed.
 flamerobin depends on libgcc1 (>= 1:4.0.1); but:
  Versin of libgcc1 on system is 1:4.0.0-12.
 flamerobin depends on libstdc++6 (>= 4.0.1); but:
  Package libstdc++6 is not installed.
 flamerobin depende de libwxgtk2.6-0 (>= 2.6.1.2); porém:
  Package libwxgtk2.6-0 is not installed.
Installing flamerobin (0.4.0-1) ...
]
 
[hidden email]]# which flamerobin
/usr/bin/flamerobin
[hidden email]]# whereis flamerobin
flamerobin: /usr/bin/flamerobin /usr/share/flamerobin /usr/share/man/man1/flamerobin.1.gz
[hidden email]]# /usr/bin/flamerobin
/usr/bin/flamerobin: error while loading shared libraries: libwx_gtk2u_stc-2.6.so.0: cannot open shared object file: No such file or directory
[hidden email]]# /usr/share/flamerobin
bash: /usr/share/flamerobin: is a directory
[hidden email]]# apt-get install libwxgtk2.6-0 [not available]

[hidden email]]# alien wxGTK2u-2.6.1-alt1.1.i586.rpm
wxgtk2u_2.6.1-1_i386.deb generated
[hidden email]]# sudo dpkg -i --force-all wxgtk2u_2.6.1-1_i386.deb[ok]
[hidden email]]# sudo /usr/bin/flamerobin
/usr/bin/flamerobin: error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory
[hidden email]]# alien libstdc++34-3.4.3_16-0.1.x86_64.rpm
Package build failed. Here's the log:
dh_testdir
dh_testdir
dh_testroot
dh_clean -k -d
dh_installdirs
dh_installdocs
dh_installchangelogs
find . -maxdepth 1 -mindepth 1 -not -name debian -print0 | \
        xargs -0 -r -i cp -a {} debian/libstdc++34
dh_compress
dh_makeshlibs
dh_installdeb
dh_shlibdeps
dpkg-shlibdeps: failure: ldd on `debian/libstdc++34/usr/lib64/libstdc++.so.6.0.3' gave error exit status 1
dh_shlibdeps: command returned error code 256
make: [binary-arch] Erro 1 (ignorado)
dh_gencontrol
dpkg-gencontrol: error: current build architecture i386 does not appear in package's list (amd64)
dh_gencontrol: command returned error code 65280
make: ** [binary-arch] Erro 1
find: libstdc++34-3.4.3_16: No such file or directory
[hidden email]]# rm libstdc++34-3.4.3_16-0.1.x86_64.rpm
rm: remove arquivo comum `libstdc++34-3.4.3_16-0.1.x86_64.rpm'? y
[hidden email]]# alien libstdc++34-3.4.0-1.x86_64.rpm
Package build failed. Here's the log:
dh_testdir
dh_testdir
dh_testroot
dh_clean -k -d
dh_installdirs
dh_installdocs
dh_installchangelogs
find . -maxdepth 1 -mindepth 1 -not -name debian -print0 | \
        xargs -0 -r -i cp -a {} debian/libstdc++34
dh_compress
dh_makeshlibs
dh_installdeb
dh_shlibdeps
dpkg-shlibdeps: failure: ldd on `debian/libstdc++34/usr/lib64/libstdc++.so.6.0.0' gave error exit status 1
dh_shlibdeps: command returned error code 256
make: [binary-arch] Erro 1 (ignorado)
dh_gencontrol
dpkg-gencontrol: error: current build architecture i386 does not appear in package's list (amd64)
dh_gencontrol: command returned error code 65280
make: ** [binary-arch] Erro 1
find: libstdc++34-3.4.0: No such file or directory
[hidden email]]# FR_HOME=/usr/share/flamerobin /usr/bin/flamerobin
/usr/bin/flamerobin: error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory
----------------------------------
 
Best regards,
 
Valdir Marcos
 
 
Complete history of my actions:
 
====================================================================
I have download this files:
 
 
 
 
====================================================================
[hidden email] sudo su
[hidden email]]# apt-get update
Err http://linusp.usp.br testing/main Packages
  404 Not Found
Ign http://linusp.usp.br testing/main Release
Err http://linusp.usp.br unstable/main Packages
  404 Not Found
Ign http://linusp.usp.br unstable/main Release
Obtendo:1 http://ftp.debian-unofficial.org sarge/main Packages [5057B]
Obtendo:2 http://www.las.ic.unicamp.br testing/main Packages [19,8kB]
Obtendo:3 http://security.debian.org stable/updates/main Packages [130kB]
Obtendo:4 http://ftp.debian-unofficial.org sarge/main Release [134B]
Obtendo:5 http://ftp.debian-unofficial.org sarge/contrib Packages [4637B]
Obtendo:6 http://ftp.us.debian.org stable/main Packages [3347kB]
Obtendo:7 http://ftp.debian-unofficial.org sarge/contrib Release [137B]
Obtendo:8 http://ftp.debian-unofficial.org sarge/non-free Packages [10,5kB]
Obtendo:9 http://ftp.debian-unofficial.org sarge/non-free Release [138B]
Obtendo:10 http://ftp.debian-unofficial.org sarge/restricted Packages [1493B]
Obtendo:11 http://ftp.debian-unofficial.org sarge/restricted Release [140B]
Obtendo:12 http://ftp.de.debian.org stable/non-US/main Packages [20B]
Obtendo:13 http://ftp.de.debian.org stable/non-US/main Release [102B]
Obtendo:14 http://ftp.de.debian.org stable/non-US/contrib Packages [20B]
Obtendo:15 http://ftp.de.debian.org stable/non-US/contrib Release [105B]
Obtendo:16 http://ftp.de.debian.org stable/non-US/non-free Packages [20B]
Obtendo:17 http://ftp.de.debian.org stable/non-US/non-free Release [106B]
Obtendo:18 http://www.las.ic.unicamp.br testing/main Release [129B]
Obtendo:19 http://www.las.ic.unicamp.br unstable/main Packages [18,3kB]
Obtendo:20 http://www.las.ic.unicamp.br unstable/main Release [130B]
Obtendo:21 http://security.debian.org stable/updates/main Release [110B]
Obtendo:22 http://ftp.us.debian.org stable/main Release [95B]
Obtendo:23 http://ftp.us.debian.org stable/contrib Packages [56,2kB]
Obtendo:24 http://ftp.us.debian.org stable/contrib Release [98B]
Obtendo:25 http://ftp.us.debian.org stable/non-free Packages [58,4kB]
Obtendo:26 http://ftp.us.debian.org stable/non-free Release [99B]
Baixados 3653kB em 1m39s (36,7kB/s)
Falha ao baixar http://linusp.usp.br/debian-marillat/dists/testing/main/binary-i386/Packages.gz  404 Not Found
Falha ao baixar http://linusp.usp.br/debian-marillat/dists/unstable/main/binary-i386/Packages.gz  404 Not Found
Lendo Lista de Pacotes... Pronto
E: Alguns arquivos de índice falharam no download, eles foram ignorados ou os antigos foram usados em seu lugar.
[hidden email]]# apt-get install vim
Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências... Pronto
Os pacotes extra a seguir serão instalados:
  vim-common
Pacotes sugeridos :
  ctags vim-doc vim-scripts
Os NOVOS pacotes a seguir serão instalados:
  vim vim-common
0 pacotes atualizados, 2 pacotes novos instalados, 0 a serem removidos e 103 não atualizados.
É preciso fazer o download de 4132kB de arquivos.
Depois de desempacotamento, 14,7MB adicionais de espaço em disco serão usados.
Quer continuar? [S/n]s
Obtendo:1 http://ftp.us.debian.org stable/main vim-common 1:6.3-071+1 [3425kB]
Obtendo:2 http://ftp.us.debian.org stable/main vim 1:6.3-071+1 [707kB]
Baixados 4132kB em 3m41s (18,7kB/s)
W: Não foi possível checar a lista de pacotes fonte http://linusp.usp.br testing/main Packages (/var/lib/apt/lists/linusp.usp.br_debian-marillat_dists_testing_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Não foi possível checar a lista de pacotes fonte http://linusp.usp.br unstable/main Packages (/var/lib/apt/lists/linusp.usp.br_debian-marillat_dists_unstable_main_binary-i386_Packages) - stat (2 No such file or directory)
Selecionando pacote previamente não selecionado vim-common.
(Lendo banco de dados ... 70170 arquivos e diretórios atualmente instalados.)
Descompactando vim-common (de .../vim-common_1%3a6.3-071+1_all.deb) ...
Selecionando pacote previamente não selecionado vim.
Descompactando vim (de .../vim_1%3a6.3-071+1_i386.deb) ...
Instalando vim-common (6.3-071+1) ...
Instalando vim (6.3-071+1) ...
 
W: Não foi possível checar a lista de pacotes fonte http://linusp.usp.br testing/main Packages (/var/lib/apt/lists/linusp.usp.br_debian-marillat_dists_testing_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Não foi possível checar a lista de pacotes fonte http://linusp.usp.br unstable/main Packages (/var/lib/apt/lists/linusp.usp.br_debian-marillat_dists_unstable_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Você terá que executar apt-get update para corrigir esses arquivos faltosos
[hidden email]]# apt-get -f install
Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 103 não atualizados.
W: Não foi possível checar a lista de pacotes fonte http://linusp.usp.br testing/main Packages (/var/lib/apt/lists/linusp.usp.br_debian-marillat_dists_testing_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Não foi possível checar a lista de pacotes fonte http://linusp.usp.br unstable/main Packages (/var/lib/apt/lists/linusp.usp.br_debian-marillat_dists_unstable_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Não foi possível checar a lista de pacotes fonte http://linusp.usp.br testing/main Packages (/var/lib/apt/lists/linusp.usp.br_debian-marillat_dists_testing_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Não foi possível checar a lista de pacotes fonte http://linusp.usp.br unstable/main Packages (/var/lib/apt/lists/linusp.usp.br_debian-marillat_dists_unstable_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Você terá que executar apt-get update para corrigir esses arquivos faltosos
[hidden email]]# apt-get update
Err http://linusp.usp.br testing/main Packages
  404 Not Found
Ign http://linusp.usp.br testing/main Release
Err http://linusp.usp.br unstable/main Packages
  404 Not Found
Ign http://linusp.usp.br unstable/main Release
Atingido http://ftp.de.debian.org stable/non-US/main Packages
Atingido http://ftp.de.debian.org stable/non-US/main Release
Atingido http://ftp.de.debian.org stable/non-US/contrib Packages
Atingido http://ftp.de.debian.org stable/non-US/contrib Release
Atingido http://ftp.de.debian.org stable/non-US/non-free Packages
Atingido http://security.debian.org stable/updates/main Packages
Atingido http://security.debian.org stable/updates/main Release
Atingido http://ftp.de.debian.org stable/non-US/non-free Release
Atingido http://www.las.ic.unicamp.br testing/main Packages
Atingido http://www.las.ic.unicamp.br testing/main Release
Atingido http://www.las.ic.unicamp.br unstable/main Packages
Atingido http://www.las.ic.unicamp.br unstable/main Release
Atingido http://ftp.us.debian.org stable/main Packages
Atingido http://ftp.us.debian.org stable/main Release
Atingido http://ftp.us.debian.org stable/contrib Packages
Atingido http://ftp.us.debian.org stable/contrib Release
Atingido http://ftp.us.debian.org stable/non-free Packages
Atingido http://ftp.us.debian.org stable/non-free Release
Atingido http://ftp.debian-unofficial.org sarge/main Packages
Atingido http://ftp.debian-unofficial.org sarge/main Release
Err http://ftp.debian-unofficial.org sarge/contrib Packages
  Linha de cabeçalho ruim
Atingido http://ftp.debian-unofficial.org sarge/contrib Release
Atingido http://ftp.debian-unofficial.org sarge/non-free Packages
Atingido http://ftp.debian-unofficial.org sarge/non-free Release
Atingido http://ftp.debian-unofficial.org sarge/restricted Packages
Atingido http://ftp.debian-unofficial.org sarge/restricted Release
Falha ao baixar http://ftp.debian-unofficial.org/debian/dists/sarge/contrib/binary-i386/Packages.gz  Linha de cabeçalho ruim
Falha ao baixar http://linusp.usp.br/debian-marillat/dists/testing/main/binary-i386/Packages.gz  404 Not Found
Falha ao baixar http://linusp.usp.br/debian-marillat/dists/unstable/main/binary-i386/Packages.gz  404 Not Found
Lendo Lista de Pacotes... Pronto
W: Não foi possível checar a lista de pacotes fonte http://linusp.usp.br testing/main Packages (/var/lib/apt/lists/linusp.usp.br_debian-marillat_dists_testing_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Não foi possível checar a lista de pacotes fonte http://linusp.usp.br unstable/main Packages (/var/lib/apt/lists/linusp.usp.br_debian-marillat_dists_unstable_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Você terá que executar apt-get update para corrigir esses arquivos faltosos
E: Alguns arquivos de índice falharam no download, eles foram ignorados ou os antigos foram usados em seu lugar.
[hidden email]]# apt-get -f install
Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 103 não atualizados.
W: Não foi possível checar a lista de pacotes fonte http://linusp.usp.br testing/main Packages (/var/lib/apt/lists/linusp.usp.br_debian-marillat_dists_testing_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Não foi possível checar a lista de pacotes fonte http://linusp.usp.br unstable/main Packages (/var/lib/apt/lists/linusp.usp.br_debian-marillat_dists_unstable_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Você terá que executar apt-get update para corrigir esses arquivos faltosos
[hidden email]]# tar xzvf FirebirdSS-1.5.2.4731-0.i686.tar.gz
FirebirdSS-1.5.2.4731-0.i686/
FirebirdSS-1.5.2.4731-0.i686/scripts/
FirebirdSS-1.5.2.4731-0.i686/scripts/preinstall.sh
FirebirdSS-1.5.2.4731-0.i686/scripts/tarinstall.sh
FirebirdSS-1.5.2.4731-0.i686/scripts/tarMainInstall.sh
FirebirdSS-1.5.2.4731-0.i686/scripts/taruninstall.sh
FirebirdSS-1.5.2.4731-0.i686/scripts/tarMainUninstall.sh
FirebirdSS-1.5.2.4731-0.i686/scripts/postinstall.sh
FirebirdSS-1.5.2.4731-0.i686/scripts/preuninstall.sh
FirebirdSS-1.5.2.4731-0.i686/scripts/postuninstall.sh
FirebirdSS-1.5.2.4731-0.i686/scripts/rpmheader.txt
FirebirdSS-1.5.2.4731-0.i686/scripts/rpmfiles.txt
FirebirdSS-1.5.2.4731-0.i686/install.sh
FirebirdSS-1.5.2.4731-0.i686/buildroot.tar.gz
FirebirdSS-1.5.2.4731-0.i686/manifest.txt
[hidden email]]# cd FirebirdSS-1.5.2.4731-0.i686
[hidden email]]# sudo ./install.sh
 
Firebird super 1.5.2.4731-0.i686 Installation
 
Press Enter to start installation or ^C to abort
Extracting install data
 Adding system startup for /etc/init.d/firebird ...
   /etc/rc0.d/K20firebird -> ../init.d/firebird
   /etc/rc1.d/K20firebird -> ../init.d/firebird
   /etc/rc6.d/K20firebird -> ../init.d/firebird
   /etc/rc2.d/S14firebird -> ../init.d/firebird
   /etc/rc3.d/S14firebird -> ../init.d/firebird
   /etc/rc5.d/S14firebird -> ../init.d/firebird
Starting Firebird server: server has been successfully started
 
Please enter new password for SYSDBA user: 123456
 
GSEC> GSEC>
Running ex to modify /etc/init.d/firebird
Install completed
[hidden email]]# cd ..
[hidden email]]# ll flame*
-r-xr-xr-x  1 kurumin kurumin 2216265 2005-10-18 17:53 flamerobin-0.4.0-1.fc4.i386.rpm
-r-xr-xr-x  1 kurumin kurumin  701186 2005-10-20 05:45 flamerobin_0.4.0-1_i386.deb
-r-xr-xr-x  1 kurumin kurumin 1965938 2005-10-20 05:30 flamerobin-0.4.0_1ubuntu.deb
[hidden email]]# sudo dpkg -i --force-all flamerobin_0.4.0-1_i386.deb
Selecionando pacote previamente não selecionado flamerobin.
(Lendo banco de dados ... 71270 arquivos e diretórios atualmente instalados.)
Descompactando flamerobin (de flamerobin_0.4.0-1_i386.deb) ...
dpkg: flamerobin: problemas de dependência, mas configurando assim mesmo como pedido:
 flamerobin depende de libc6 (>= 2.3.5-1); porém:
  Versão de libc6 no sistema é 2.3.2.ds1-22.
 flamerobin depende de libfbclient1; porém:
  Pacote libfbclient1 não está instalado.
 flamerobin depende de libgcc1 (>= 1:4.0.1); porém:
  Versão de libgcc1 no sistema é 1:4.0.0-12.
 flamerobin depende de libstdc++6 (>= 4.0.1); porém:
  Pacote libstdc++6 não está instalado.
 flamerobin depende de libwxgtk2.6-0 (>= 2.6.1.2); porém:
  Pacote libwxgtk2.6-0 não está instalado.
Instalando flamerobin (0.4.0-1) ...
 
[hidden email]]# which flamerobin
/usr/bin/flamerobin
[hidden email]]# whereis flamerobin
flamerobin: /usr/bin/flamerobin /usr/share/flamerobin /usr/share/man/man1/flamerobin.1.gz
[hidden email]]# /usr/bin/flamerobin
/usr/bin/flamerobin: error while loading shared libraries: libwx_gtk2u_st
Reply | Threaded
Open this post in threaded view
|

Re: Off FlameRobin 0.4.0 on Kurumin Linux 5.0

Milan Babuskov-3
Valdir Marcos wrote:
> I will summarize the result and past the whole history of my commands on Konsole at the end of this message.
>
> Kurumin Linux 5.0 is a Live CD from Debian Sarge Knoppix.

Debian Sarge has Firebird in it, so some of the steps were not needed.
Debian Sarge does not have wxWidgets2.6 so that is one of the problems,
but you solved it. I don't like idea of Alien-ing the packages, as it
ruins the dependencies.

You won't be able to run FR binary because of these:

>  flamerobin depends on libc6 (>= 2.3.5-1); but:
>   Versin of libc6 on system is 2.3.2.ds1-22.
>  flamerobin depends on libgcc1 (>= 1:4.0.1); but:
>   Versin of libgcc1 on system is 1:4.0.0-12.
>  flamerobin depends on libstdc++6 (>= 4.0.1); but:
>   Package libstdc++6 is not installed.

Installing a different version of libc and gcc could cause you to have
to reinstall a lot of other packages, so that's probably not a good
idea. Unless you're skilled enough to keep multiple versions.

 From what I see, it would be much easier for you to download the FR
source, and build it.

--
Milan Babuskov
http://www.flamerobin.org




-------------------------------------------------------
This SF.Net email is sponsored by the JBoss Inc.
Get Certified Today * Register for a JBoss Training Course
Free Certification Exam for All Training Attendees Through End of 2005
Visit http://www.jboss.com/services/certification for more information
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Off FlameRobin 0.4.0 on Kurumin Linux 5.0

valdir.marcos
Milan, thanks for your help.
I have downloaded flamerobin-0.4.0-src.tar.gz
How can I install it?

Best regards,

Valdir Marcos

----- Original Message -----
From: "Milan Babuskov" <[hidden email]>
To: <[hidden email]>
Sent: Monday, October 24, 2005 7:03 AM
Subject: Re: [Flamerobin-devel] Off FlameRobin 0.4.0 on Kurumin Linux 5.0


> Valdir Marcos wrote:
>> I will summarize the result and past the whole history of my commands on
>> Konsole at the end of this message.
>>
>> Kurumin Linux 5.0 is a Live CD from Debian Sarge Knoppix.
>
> Debian Sarge has Firebird in it, so some of the steps were not needed.
> Debian Sarge does not have wxWidgets2.6 so that is one of the problems,
> but you solved it. I don't like idea of Alien-ing the packages, as it
> ruins the dependencies.
>
> You won't be able to run FR binary because of these:
>
>>  flamerobin depends on libc6 (>= 2.3.5-1); but:
>>   Versin of libc6 on system is 2.3.2.ds1-22.
>>  flamerobin depends on libgcc1 (>= 1:4.0.1); but:
>>   Versin of libgcc1 on system is 1:4.0.0-12.
>>  flamerobin depends on libstdc++6 (>= 4.0.1); but:
>>   Package libstdc++6 is not installed.
>
> Installing a different version of libc and gcc could cause you to have
> to reinstall a lot of other packages, so that's probably not a good
> idea. Unless you're skilled enough to keep multiple versions.
>
> From what I see, it would be much easier for you to download the FR
> source, and build it.
>
> --
> Milan Babuskov
> http://www.flamerobin.org
>
>
>
>
> -------------------------------------------------------
> This SF.Net email is sponsored by the JBoss Inc.
> Get Certified Today * Register for a JBoss Training Course
> Free Certification Exam for All Training Attendees Through End of 2005
> Visit http://www.jboss.com/services/certification for more information
> _______________________________________________
> Flamerobin-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
>
>



-------------------------------------------------------
This SF.Net email is sponsored by the JBoss Inc.
Get Certified Today * Register for a JBoss Training Course
Free Certification Exam for All Training Attendees Through End of 2005
Visit http://www.jboss.com/services/certification for more information
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Off FlameRobin 0.4.0 on Kurumin Linux 5.0

Milan Babuskov-5
Valdir Marcos wrote:
> Milan, thanks for your help.
> I have downloaded flamerobin-0.4.0-src.tar.gz
> How can I install it?

Go into directory where the file is and then:

$ tar -xzvf flamerobin-0.4.0-src.tar.gz
$ cd flamerobin-0.4.0-src
$ mkdir build
$ cd build
$ ../configure
$ make
$ sudo make install

That's all.

You might get some errors when you run the "../configure" step, most
probably the lack of wxWidgets development files, or bad wxWidgets
version. There are packages for this in unstable Debian, but I'm not
sure it is smart to mix stable and unstable packages. Damyan? It would
mean editing your /etc/apt/sources.list file and adding the unstable
repositories (but I'm not sure how it's done for Kurumin Linux, you
should check their docs).

Alternatively, I suggest you build wxWidgets from source too. That
should complete it. Download wxWidgets source package, unpack it and run:

$ ./configure
$ make
$ sudo make install
$ cd contrib/stc/src
$ ./configure
$ make
$ sudo make install

and you're done. Now go back and build Flamerobin.

--
Milan Babuskov
http://fbexport.sourceforge.net
http://www.flamerobin.org



-------------------------------------------------------
This SF.Net email is sponsored by the JBoss Inc.
Get Certified Today * Register for a JBoss Training Course
Free Certification Exam for All Training Attendees Through End of 2005
Visit http://www.jboss.com/services/certification for more information
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Off FlameRobin 0.4.0 on Kurumin Linux 5.0

Damyan Ivanov
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Milan Babuskov wrote:

> $ tar -xzvf flamerobin-0.4.0-src.tar.gz
> $ cd flamerobin-0.4.0-src
> $ mkdir build
> $ cd build
> $ ../configure
> $ make
> $ sudo make install
>
> That's all.
>
> You might get some errors when you run the "../configure" step, most
> probably the lack of wxWidgets development files, or bad wxWidgets
> version. There are packages for this in unstable Debian, but I'm not
> sure it is smart to mix stable and unstable packages. Damyan? It would
> mean editing your /etc/apt/sources.list file and adding the unstable
> repositories (but I'm not sure how it's done for Kurumin Linux, you
> should check their docs).

Mixing stable/unstable packages is safe if done smart. I actually run
all-unstable with a bit of experimental on my workstation :-)

Here's a receipe for installing flaberobin precompiled deb with all
dependencied. It would seem to be complicated for inexperienced Debian
users, and too "wordy" for experienced ones.

Add unstable repository in /etc/apt/sources.list as advised above.
"deb http://ftp.debian.org/debian unstable main" is example.
Add "debian-addons-bg" repository - this is where I've put flamerobin
.deb: "deb ftp://ftp.logos-bg.net/debian-addons-bg sid main"
Put `APT::Default-Release: "stable";' in /etc/apt/apt.conf

Run `apt-get update'.

Now install flamerobin:

apt-get install -t unstable flamerobin

This should install flamerobin from "debian-addons" repository and
satisfy all its dependencies from "unstable" - wxWindows and everything.
Most probably this will get libc6 and other fundamental packages to
unstable version. Don't worry, "unstable" is not that bad.

If apt-get offers to REMOVE some packages - read carefully. Ask here or
me directly if in doubt.

Now you can remove "debian-addons-bg" from sources list not to mess with
official debian repositories.


Hope this helps. If not - I'll gladly try to explain.
dam
- --
Damyan Ivanov                              Creditreform Bulgaria
[hidden email]              http://www.creditreform.bg/
phone: +359(2)928-2611, 929-3993            fax: +359(2)920-0994
mob. +359(88)856-6067               [hidden email]/Gaim
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFDXTUEHqjlqpcl9jsRAlv6AJ4sHuOpnzC27NcrgDCvyOVzo/CxnQCdEFET
7R4lvTHZoDomakdEb7KVm3Q=
=hg9w
-----END PGP SIGNATURE-----


-------------------------------------------------------
This SF.Net email is sponsored by the JBoss Inc.
Get Certified Today * Register for a JBoss Training Course
Free Certification Exam for All Training Attendees Through End of 2005
Visit http://www.jboss.com/services/certification for more information
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Off FlameRobin 0.4.0 on Kurumin Linux 5.0

marius adrian popa
Administrator
On 10/24/05, Damyan Ivanov <[hidden email]> wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Milan Babuskov wrote:
> > $ tar -xzvf flamerobin-0.4.0-src.tar.gz
> > $ cd flamerobin-0.4.0-src
> > $ mkdir build
> > $ cd build
> > $ ../configure
> > $ make
> > $ sudo make install
> >
> > That's all.
> >
> > You might get some errors when you run the "../configure" step, most
> > probably the lack of wxWidgets development files, or bad wxWidgets
> > version. There are packages for this in unstable Debian, but I'm not
> > sure it is smart to mix stable and unstable packages. Damyan? It would
> > mean editing your /etc/apt/sources.list file and adding the unstable
> > repositories (but I'm not sure how it's done for Kurumin Linux, you
> > should check their docs).
>
> Mixing stable/unstable packages is safe if done smart. I actually run
> all-unstable with a bit of experimental on my workstation :-)
>
> Here's a receipe for installing flaberobin precompiled deb with all
> dependencied. It would seem to be complicated for inexperienced Debian
> users, and too "wordy" for experienced ones.
>
> Add unstable repository in /etc/apt/sources.list as advised above.
> "deb http://ftp.debian.org/debian unstable main" is example.
> Add "debian-addons-bg" repository - this is where I've put flamerobin
> .deb: "deb ftp://ftp.logos-bg.net/debian-addons-bg sid main"
> Put `APT::Default-Release: "stable";' in /etc/apt/apt.conf
>
> Run `apt-get update'.
>
> Now install flamerobin:
>
> apt-get install -t unstable flamerobin
>
> This should install flamerobin from "debian-addons" repository and
> satisfy all its dependencies from "unstable" - wxWindows and everything.
> Most probably this will get libc6 and other fundamental packages to
> unstable version. Don't worry, "unstable" is not that bad.
>
> If apt-get offers to REMOVE some packages - read carefully. Ask here or
> me directly if in doubt.
>
> Now you can remove "debian-addons-bg" from sources list not to mess with
> official debian repositories.
>
>
> Hope this helps. If not - I'll gladly try to explain.
worked on debian testing also i did my first recompile from debian sources on
it (folowing your example)
I had some problems building it on amd64 (ibpp related) , I think you
need to check out new ibpp sources from flamerobin cvs , or should i
send you as patch ?

--
developer flamerobin.org


-------------------------------------------------------
This SF.Net email is sponsored by the JBoss Inc.
Get Certified Today * Register for a JBoss Training Course
Free Certification Exam for All Training Attendees Through End of 2005
Visit http://www.jboss.com/services/certification for more information
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel
Reply | Threaded
Open this post in threaded view
|

Re: Off FlameRobin 0.4.0 on Kurumin Linux 5.0

Damyan Ivanov
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

marius popa wrote:
> worked on debian testing also i did my first recompile from debian sources on
> it (folowing your example)
> I had some problems building it on amd64 (ibpp related) , I think you
> need to check out new ibpp sources from flamerobin cvs , or should i
> send you as patch ?

I write this from my home amd64 machine, runnung Debian/unstable and
happily having flamerobin on it :-)

The source package on debian-addons-bg repository builds on amd64. You
may see the patches on
http://svn.openfmi.net/debian-addons-bg/trunk/flamerobin/debian/patches/

To build .deb from source package do the following. This is the
procedure on ia32 and the same is used for amd64.

(mangle with sources list to include debian-addons-bg repositury. See my
previous mail. run apt-get update)

$ apt-get source flamerobin
....
$ cd flamerobin-0.4.0
$ dpkg-buildpackage
.....
the .deb is in ../


dam
- --
Damyan Ivanov                              Creditreform Bulgaria
[hidden email]              http://www.creditreform.bg/
phone: +359(2)928-2611, 929-3993            fax: +359(2)920-0994
mob. +359(88)856-6067               [hidden email]/Gaim
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFDYTSWHqjlqpcl9jsRAtnEAKCWrrT0EBIpUbKlud/YrUlhMsi14ACdFD9y
o5HMEmPwBkEq1NqGg7t8axo=
=5PMT
-----END PGP SIGNATURE-----


-------------------------------------------------------
This SF.Net email is sponsored by the JBoss Inc.
Get Certified Today * Register for a JBoss Training Course
Free Certification Exam for All Training Attendees Through End of 2005
Visit http://www.jboss.com/services/certification for more information
_______________________________________________
Flamerobin-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/flamerobin-devel